/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef nil_fax_h
#define nil_fax_h

#include "nile.h"

typedef enum{
    NIL_FAX_UNCOMPRESSED,
    NIL_FAX_MH,
    NIL_FAX_MR,
    NIL_FAX_MMR
}nil_fax_compression_t;

int nil_fax_decode(nile_t*, nil_fax_compression_t, const uint8_t*, size_t);

#endif /* nil_fax_h */
