#ifndef gs_types_h
#define gs_types_h

#include <stdint.h>

/* arch.h */

/* FIXME!! how is this value determined? */
#define ARCH_SIZEOF_GX_COLOR_INDEX 8
//#define ARCH_SIZEOF_GX_COLOR_INDEX sizeof(unsigned long long)

/* gsfname.h */

typedef struct gs_parsed_file_name_s gs_parsed_file_name_t;

/* gslibctx.h */

typedef struct gs_font_dir_s gs_font_dir;
typedef struct gs_lib_ctx_s gs_lib_ctx_t;

/* gxdevice.h */

typedef struct gx_device_s gx_device;
typedef struct gx_device_memory_s gx_device_memory;

/* gxfixed.h */

typedef int32_t fixed;
typedef uint32_t ufixed;
#define max_fixed INT32_MAX
#define min_fixed INT32_MIN

/* gxfrac.h */

typedef short frac;

/* gxsync.h */

typedef struct gx_monitor_s gx_monitor_t;
typedef struct gx_semaphore_s gx_semaphore_t;

/* stdpre.h */

/* all structs in Ghostscript uses 32 bit alignment for bool, while standard
 * bool uses 8 bit algnment. Therefore a custom bool type needs to be used.
 */
#include <stdbool.h>

typedef uint8_t byte;
typedef unsigned char uchar;
typedef unsigned short ushort;
typedef unsigned int uint;
typedef unsigned long ulong;
typedef const char *client_name_t;

#endif /* gs_types_h */
