/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#include "stream.h"

Stream::Stream(size_t startOffset,size_t currentOffset,size_t endOffset) :
    _startOffset(startOffset),
    _currentOffset(currentOffset),
    _endOffset(endOffset)
{
    if (_startOffset>_endOffset)
        throw OverrunError();
}
