/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef aceunpack_h
#define aceunpack_h

typedef struct _aceunpack_t aceunpack_t;

aceunpack_t *aceunpack_new(const char *filename);
void aceunpack_free(aceunpack_t*);

int aceunpack_next(aceunpack_t*);
const char *aceunpack_get_name(aceunpack_t*);
ssize_t aceunpack_get_size(aceunpack_t*);
ssize_t aceunpack_read(aceunpack_t*, void *buf, size_t bytes);

#endif /* aceunpack_h */
