/*
 * Author: Magnus Bergman <magnus@snisurset.net>
 *
 * This file is public domain.
 */
#ifndef t42_h
#define t42_h

#include <stdint.h>

typedef int(*t42_packet_func_t)(void *userdata, int page, int row, uint8_t *data);

int t42_parse(const uint8_t *data, int len, t42_packet_func_t, void *);

#endif /* t42_h */
